Tcr Brands

List TCR Brands

GET
/v1/TcrBrands

Gets the list of all TCR Brands. This method supports pagination.

AuthorizationBasic <token>

Basic Authorization header using the BASIC scheme. Use a pair companySid:token to access the API.

In: header

Query Parameters

PageSize?integer
Formatint32
Range1 <= value <= 10000
OrderByDirection?string

Possible values:

  • Ascending

  • Descending

Value in

  • "Ascending"
  • "Descending"
SearchId?string

Response Body

curl -X GET "https://example.com/v1/TcrBrands"
{  "items": [    {      "tcrBrandId": "B123ABC",      "name": "My Best Company",      "legalName": "Best Company Inc",      "displayName": "Best Company"    }  ],  "searchId": "string"}
{  "errors": {    "Name": [      "The Name field is required."    ]  },  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",  "title": "One or more validation errors occurred.",  "status": 400,  "detail": "Some detailed message",  "traceId": "|4ef17786-b103-420e-89c0-cc425ac14809.edfcbee9_"}